<?php
/* 
 * Copyright (C) 2012 Fructisoft (Jeremy Joly), All Rights Reserved. 
 * @license - http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class FsBrowserCompatibilityModelSettings extends JModel {

    function __construct() {
        parent::__construct();
    }

    function load(){
        return JComponentHelper::getParams('com_fsbrowsercompatibility');    
    }
    
    function GetPluginStatus(){

        
        $db = JFactory::getDBO();
        
        $query = $db->getQuery(true);

        if(version_compare(JVERSION,'1.6.0','ge'))
			$query->select('enabled')->from('#__extensions')->where("type='plugin' AND element='fsbrowsercompatibility' AND folder='system'");
        else
            $query->select('published AS enabled')->from('#__plugins')->where("element='fsbrowsercompatibility'");
        
        $db->setQuery($query);
        
        $result = $db->loadResult();
        

        if($result == null) return 'not_installed';
        if($result == '0') return 'disabled';
        if($result == '1') return 'installed';
                
    }
    
    
    function save($data) {

        $table = & JTable::getInstance('Extension');

        $table->load(array('name' => 'fsbrowsercompatibility', 'type' => 'component'));

        $table->bind($data);

        // pre-save checks
        if (!$table->check()) {
            JError::raiseWarning(500, $table->getError());
            return false;
        }

        // save the changes
        if (!$table->store()) {
            JError::raiseWarning(500, $table->getError());
            return false;
        }

    }




    function GetBooleanList() {

        $booleans = array();

        $boolean = new stdClass();
        $boolean->value = '0';
        $boolean->text = 'No';        
        $booleans[] = $boolean;
        
        $boolean = new stdClass();
        $boolean->value = '1';
        $boolean->text = 'Yes';
        $booleans[] = $boolean;

        return $booleans;
    }

}
